Bug 1928658 - Update plugins and Jenkins version to prepare openshift-sync-plugin 1.0.46 release
Summary: Update plugins and Jenkins version to prepare openshift-sync-plugin 1.0.46 re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.8.0
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
: 1924003 (view as bug list)
Depends On:
Blocks: CVE-2021-20218 1924003 1928233 1928234 1929117 1929118
TreeView+ depends on / blocked
 
Reported: 2021-02-15 09:56 UTC by Akram Ben Aissi
Modified: 2021-07-27 22:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1929118 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:44:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 1225 0 None open Bug 1928658: update kubernetes-client-api 2021-02-15 09:57:09 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:45:11 UTC

Description Akram Ben Aissi 2021-02-15 09:56:21 UTC
Update plugins and Jenkins version to prepare openshift-sync-plugin 1.0.46 release

Comment 2 Jitendar Singh 2021-03-10 05:34:34 UTC
VERIFIED
============
 jsingh@fugaku  ~  oc new-project jenkins-test
Now using project "jenkins-test" on server "https://api.dev-svc-4.8-031001.devcluster.openshift.com:6443".

You can add applications to this project with the 'new-app' command. For example, try:

    oc new-app rails-postgresql-example

to build a new example application in Ruby. Or use kubectl to deploy a simple Kubernetes application:

    kubectl create deployment hello-node --image=k8s.gcr.io/serve_hostname

 jsingh@fugaku  ~  oc new-app jenkins-ephemeral
--> Deploying template "openshift/jenkins-ephemeral" to project jenkins-test

     Jenkins (Ephemeral)
     ---------
     Jenkins service, without persistent storage.
     
     WARNING: Any data stored will be lost upon pod destruction. Only use this template for testing.

     A Jenkins service has been created in your project.  Log into Jenkins with your OpenShift account.  The tutorial at https://github.com/openshift/origin/blob/master/examples/jenkins/README.md contains more information about using this template.

     * With parameters:
        * Jenkins Service Name=jenkins
        * Jenkins JNLP Service Name=jenkins-jnlp
        * Enable OAuth in Jenkins=true
        * Memory Limit=1Gi
        * Jenkins ImageStream Namespace=openshift
        * Disable memory intensive administrative monitors=false
        * Jenkins ImageStreamTag=jenkins:2
        * Allows use of Jenkins Update Center repository with invalid SSL certificate=false

--> Creating resources ...
    route.route.openshift.io "jenkins" created
    configmap "jenkins-trusted-ca-bundle" created
    deploymentconfig.apps.openshift.io "jenkins" created
    serviceaccount "jenkins" created
    rolebinding.authorization.openshift.io "jenkins_edit" created
    service "jenkins-jnlp" created
    service "jenkins" created
--> Success
    Access your application via route 'jenkins-jenkins-test.apps.dev-svc-4.8-031001.devcluster.openshift.com' 
    Run 'oc status' to view your app.
 jsingh@fugaku  ~  oc get pods
NAME               READY   STATUS      RESTARTS   AGE
jenkins-1-8fnkh    1/1     Running     0          4m9s
jenkins-1-deploy   0/1     Completed   0          4m13s
 jsingh@fugaku  ~  oc rsh jenkins-1-8fnkh
sh-4.4$ cat /var/lib/jenkins/plugins/blueocean/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.24.4
sh-4.4$ cat /var/lib/jenkins/plugins/credentials/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.3.15
sh-4.4$ cat /var/lib/jenkins/plugins/cloudbees-folder/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 6.15
sh-4.4$ cat /var/lib/jenkins/plugins/git/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 4.5.2
sh-4.4$ cat /var/lib/jenkins/plugins/github/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.33.0
sh-4.4$ cat /var/lib/jenkins/plugins/kubernetes/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.29.0
sh-4.4$ cat /var/lib/jenkins/plugins/kubernetes-client-api/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 4.13.2-1
sh-4.4$ cat /var/lib/jenkins/plugins/matrix-project/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.18
sh-4.4$ cat /var/lib/jenkins/plugins/parameterized-trigger/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.36
sh-4.4$ cat /var/lib/jenkins/plugins/snakeyaml-api/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.27.0
sh-4.4$ cat /var/lib/jenkins/plugins/token-macro/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.13
sh-4.4$ cat /var/lib/jenkins/plugins/token-macro/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.13
sh-4.4$ cat /var/lib/jenkins/plugins/workflow-cps/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.87
sh-4.4$ cat /var/lib/jenkins/plugins/workflow-multibranch/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 2.22
sh-4.4$ cat /var/lib/jenkins/plugins/openshift-sync-plugin/META-INF/MANIFEST.MF |grep Implementation-Version
cat: /var/lib/jenkins/plugins/openshift-sync-plugin/META-INF/MANIFEST.MF: No such file or directory
sh-4.4$ cat /var/lib/jenkins/plugins/openshift-
openshift-client/     openshift-client.jpi  openshift-login/      openshift-login.jpi   openshift-sync/       openshift-sync.jpi    
sh-4.4$ cat /var/lib/jenkins/plugins/openshift-sync/META-INF/MANIFEST.MF| grep Implementation-Version
Implementation-Version: 1.0.46
sh-4.4$ exit
exit
 jsingh@fugaku  ~  oc get routes
NAME      HOST/PORT                                                               PATH   SERVICES   PORT    TERMINATION     WILDCARD
jenkins   jenkins-jenkins-test.apps.dev-svc-4.8-031001.devcluster.openshift.com          jenkins    <all>   edge/Redirect   None
 jsingh@fugaku  ~  oc create -f maven.yaml
template.template.openshift.io/maven-pipeline created
 jsingh@fugaku  ~  oc new-app maven-pipeline
--> Deploying template "jenkins-test/maven-pipeline" to project jenkins-test

     * With parameters:
        * Application Name=openshift-jee-sample
        * Source URL=https://github.com/openshift/openshift-jee-sample.git
        * Source Ref=master
        * GitHub Webhook Secret=Mf7F6WXALawWa5a6tRrTWuJLY1Stjah3CbBbluNY # generated
        * Generic Webhook Secret=743nXjdndG1gY0igR0QNSY0jU2ntVV3oiawdWr3M # generated

--> Creating resources ...
    imagestream.image.openshift.io "openshift-jee-sample" created
    imagestream.image.openshift.io "wildfly" created
    buildconfig.build.openshift.io "openshift-jee-sample" created
    buildconfig.build.openshift.io "openshift-jee-sample-docker" created
    deploymentconfig.apps.openshift.io "openshift-jee-sample" created
    service "openshift-jee-sample" created
    route.route.openshift.io "openshift-jee-sample" created
--> Success
JenkinsPipeline build strategy is deprecated. Use Jenkinsfiles directly on Jenkins or OpenShift Pipelines instead
    Use 'oc start-build openshift-jee-sample' to start a build.
    Use 'oc start-build openshift-jee-sample-docker' to start a build.
    Access your application via route 'openshift-jee-sample-jenkins-test.apps.dev-svc-4.8-031001.devcluster.openshift.com' 
    Run 'oc status' to view your app.
 jsingh@fugaku  ~  oc start-build openshift-jee-sajsingh@fugaku  ~  oc get pods -w
NAME                                  READY   STATUS              RESTARTS   AGE
jenkins-1-8fnkh                       1/1     Running             0          20m
jenkins-1-deploy                      0/1     Completed           0          20m
openshift-jee-sample-1-4kswp          0/1     ContainerCreating   0          19s
openshift-jee-sample-1-deploy         1/1     Running             0          23s
openshift-jee-sample-docker-1-build   0/1     Completed           0          105s
openshift-jee-sample-1-4kswp          0/1     Running             0          30s
openshift-jee-sample-1-4kswp          1/1     Running             0          64s
openshift-jee-sample-1-deploy         0/1     Completed           0          68s
^C%                                                                                                                                                                                            ✘ jsingh@fugaku  ~  oc get routes
NAME                   HOST/PORT                                                                            PATH   SERVICES               PORT       TERMINATION     WILDCARD
jenkins                jenkins-jenkins-test.apps.dev-svc-4.8-031001.devcluster.openshift.com                       jenkins                <all>      edge/Redirect   None
openshift-jee-sample   openshift-jee-sample-jenkins-test.apps.dev-svc-4.8-031001.devcluster.openshift.com          openshift-jee-sample   8080-tcp                   None
mple
build.build.openshift.io/openshift-jee-sample-1 started

Comment 3 jawed 2021-04-08 11:40:09 UTC
*** Bug 1924003 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2021-07-27 22:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.